org.apache.hadoop.mapred

## Class LineRecordReader.LineReader

- java.lang.Object
- - org.apache.hadoop.util.LineReader
  - - org.apache.hadoop.mapred.LineRecordReader.LineReader

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Enclosing class:
    LineRecordReader

  Deprecated.
  Use `LineReader` instead.

      @Deprecated
      public static class LineRecordReader.LineReader
      extends org.apache.hadoop.util.LineReader

  A class that provides a line reader from an input stream.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineReader(InputStream in, org.apache.hadoop.conf.Configuration conf)` Deprecated.
    `LineReader(InputStream in, org.apache.hadoop.conf.Configuration conf, byte[] recordDelimiter)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.util.LineReader

      `close, fillBuffer, getBufferPosn, getBufferSize, readLine, readLine, readLine, unsetNeedAdditionalRecordAfterSplit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineReader

          public LineReader(InputStream in,
                            org.apache.hadoop.conf.Configuration conf)
                     throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### LineReader

          public LineReader(InputStream in,
                            org.apache.hadoop.conf.Configuration conf,
                            byte[] recordDelimiter)
                     throws IOException

      Deprecated.
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.